Subject: bug#32246: 27.0.50; files-tests failure on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2018 20:38:27 +0300

> From: Ken Brown <[email-masked]>
> Date: Thu, 26 Jul 2018 10:54:38 -0400
> Cc: [email-masked]
> 
> I think the doc is ambiguous on that.  The first sentence of the doc in 
> the elisp manual says, "Sometimes file names or their parts need to be 
> compared as strings, in which case it’s important to know whether the 
> underlying filesystem is case-insensitive."  This certainly suggests 
> that the file should exist, but there's no indication of what the 
> function returns for a non-existent file.  And the code doesn't attempt 
> to detect this case.
> 
> I don't know what the right solution is.

The usual solution is to pass the root of the volume to pathconf.